import request from '@/utils/request'

// 查询商家端消息中心列表
export function listNews(query) {
  return request({
    url: '/jn/news/list',
    method: 'get',
    params: query
  })
}

// 查询商家端消息中心详细
export function getNews(id) {
  return request({
    url: '/jn/news/' + id,
    method: 'get'
  })
}

// 新增商家端消息中心
export function addNews(data) {
  return request({
    url: '/jn/news',
    method: 'post',
    data: data
  })
}

// 修改商家端消息中心
export function updateNews(data) {
  return request({
    url: '/jn/news',
    method: 'put',
    data: data
  })
}

// 删除商家端消息中心
export function delNews(id) {
  return request({
    url: '/jn/news/' + id,
    method: 'delete'
  })
}
